#include <iostream>

using namespace std;

int main()
{
    char c1;
    char c2;
    int a1;
    int a2;
    string res = "nemoguce";
    
    cin >> c1 >> c2;
    cin >> a1 >> a2;
    
    if(a1 == a2)
    {
        res = "";
        for(int i=0; i < a1; i++)
        {
            res += c1;
            res += c2;
        }
    }
    else if(a1 == a2 + 1)
    {
        res = "";
        for(int i=0; i < a1 - 1; i++)
        {
            res += c1;
            res += c2;
        }
        res += c1;
    }
    else if(a2 == a1 + 1)
    {
        res = "";
        for(int i=0; i < a2 - 1; i++)
        {
            res += c2;
            res += c1;
        }
        res += c2;
    }
    
    cout << res << endl;
    
    return 0;
}